## ignition-msgs7 7.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-msgs7 VERSION 7.2.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================

# Cross-compilation related options
# In a cross-compilation scenario, it is possible that the ign_msgs_gen
# generator compiled for the target machine cannot be used to generate
# the C++ code corresponding to the .proto definition. For this scenario,
# the following two options can be used as follows.
# First of all, ign-msgs is compiled targeting the host machine, and in the
# build targeting the host, the INSTALL_IGN_MSGS_GEN_EXECUTABLE option is
# enabled:
# > cmake -DINSTALL_IGN_MSGS_GEN_EXECUTABLE:BOOL=ON ..
# ensuring that the ign_msgs_gen is installed in
# <host_install_prefix>/bin/ign_msgs_gen . Then, the same version of ign-msgs
# can be cross-compiled, and in the cross-compilation build the location of the
# host ign_msgs_gen is specified via the IGN_MSGS_GEN_EXECUTABLE
# CMake cache variable:
# > cmake -IGN_MSGS_GEN_EXECUTABLE=<host_install_prefix>/bin/ign_msgs_gen ..

option(
  INSTALL_IGN_MSGS_GEN_EXECUTABLE
  "Install the ign_msgs_gen executable."
  OFF)
mark_as_advanced(INSTALL_IGN_MSGS_GEN_EXECUTABLE)

set(
  IGN_MSGS_GEN_EXECUTABLE
  "$<TARGET_FILE:ign_msgs_gen>"
  CACHE STRING
  "ign_msgs_gen executable used in the ign_msgs_protoc CMake function.")
mark_as_advanced(IGN_MSGS_GEN_EXECUTABLE)

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 COMPONENTS all
                 PRETTY Protobuf)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.5)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find if ign command is available
find_program(HAVE_IGN_TOOLS ign)

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Test the command line commands
#============================================================================
add_subdirectory(tools)

#============================================================================
# Install proto files
#============================================================================
# TODO: Consider tweaking ign_configure_build() to call add_subdirectory(proto)
# whenever a proto subdirectory exists. This could be used alongside
# ign_msgs_protoc to get uniform support for proto messages across all ignition
# projects.
add_subdirectory(proto)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)


ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  AUTOGENERATED_DOC "${CMAKE_BINARY_DIR}/include/ignition/msgs/"
  TAGFILES
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
)

# Wait to build the doc for the autogenerated code
# The TARGET will exist if doxygen is installed
if(TARGET doc)
  add_dependencies(doc ignition-msgs${PROJECT_VERSION_MAJOR})
endif()

=== debian/changelog ===
ignition-msgs7 (7.2.0-1~buster) buster; urgency=medium

  * ignition-msgs7 7.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 16:08:34 -0700

ignition-msgs7 (7.1.0-1~buster) buster; urgency=medium

  * ignition-msgs7 7.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 30 Apr 2021 13:47:49 -0700

ignition-msgs7 (7.0.0-1~buster) buster; urgency=medium

  * ignition-msgs7 7.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 09:30:17 -0700

ignition-msgs7 (7.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-msgs7 7.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 08:22:00 -0700

ignition-msgs7 (6.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:35:27 -0700

=== debian/control ===
Source: ignition-msgs7
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libtinyxml2-dev,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-math6-dev (>= 6.5.0),
               libignition-tools-dev,
               protobuf-compiler,
Vcs-Browser: https://github.com/ignition-release/ign_msgs5-release
Vcs-Git: https://github.com/ignition-release/ign_msgs5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-msgs7
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Shared library
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.

Package: libignition-msgs7-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev (>= 2.3.0),
         libprotoc-dev,
         protobuf-compiler,
         libtinyxml2-dev,
         libignition-cmake2-dev (>= 2.8.0),
         libignition-math6-dev (>= 6.5.0),
         libignition-msgs7 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Development files
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.

## ignition-msgs7 7.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs7 VERSION 7.2.0)
+project(ignition-msgs7 VERSION 7.3.0)
 
 #============================================================================
 # Find ignition-cmake

=== debian/changelog ===
ignition-msgs7 (7.3.0-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Mon, 27 May 2024 09:43:23 +0800

ignition-msgs7 (7.3.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.3.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 16 Mar 2022 17:43:55 -0700

ignition-msgs7 (7.2.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 16:08:34 -0700

ignition-msgs7 (7.1.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 30 Apr 2021 13:47:49 -0700

ignition-msgs7 (7.0.0-1~focal) focal; urgency=medium

  * ignition-msgs7 7.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 09:30:17 -0700

ignition-msgs7 (7.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-msgs7 7.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 08:21:59 -0700

ignition-msgs7 (6.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:35:27 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libprotoc-dev,
                libprotobuf-dev (>= 2.3.0),
                libtinyxml2-dev,
-               libignition-cmake2-dev (>= 2.8.0),
-               libignition-math6-dev (>= 6.5.0),
+               libignition-cmake-dev (>= 2.8.0),
+               libignition-math-dev (>= 6.5.0),
                libignition-tools-dev,
                protobuf-compiler,
 Vcs-Browser: https://github.com/ignition-release/ign_msgs5-release
@@ -35,8 +35,8 @@
          libprotoc-dev,
          protobuf-compiler,
          libtinyxml2-dev,
-         libignition-cmake2-dev (>= 2.8.0),
-         libignition-math6-dev (>= 6.5.0),
+         libignition-cmake-dev (>= 2.8.0),
+         libignition-math-dev (>= 6.5.0),
          libignition-msgs7 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
